/*--------+++ HERO SECTION  */
#herosec {
  height: 77vh;

  background-image: linear-gradient(
      72deg,
      rgba(65, 2, 13, 0.696) 0%,

      rgba(0, 0, 0, 0.696) 100%
    ),
    url(../Images/heroBG.jpg);

  background-repeat: no-repeat;

  background-position: center;

  background-size: cover;

  background-attachment: fixed;

  position: relative;

  padding: 0;

  z-index: 3;
}

#herosec .malluImg {
  position: absolute;

  right: 0;

  bottom: 0;

  height: 100%;

  opacity: 0.9;

  z-index: 4;
}

#herosec .hero-txt {
  display: flex;

  align-items: center;

  padding: 0;

  padding-right: 25px;

  height: 73vh;

  z-index: 5;
}

.herobtn {
  width: 60px;

  height: 60px;

  display: grid;

  place-items: center;

  text-decoration: none;

  color: var(--pColor);

  background-color: var(--secoundry);

  border-radius: var(--bdr100);

  margin-top: 20px;

  transition: var(--Ltrns);

  animation: motupatlu 2s linear infinite;
}

.herobtn:hover {
  color: var(--pColor);

  background-color: rgb(3, 202, 40);
}

@keyframes motupatlu {
  0% {
    transform: scale(1);
  }

  50% {
    transform: scale(1.2);
  }

  100% {
    transform: scale(1);
  }
}

@media (max-width: 1024px) {
  #herosec {
    height: 75vh;
  }

  #herosec .hero-txt {
    height: 75vh;
  }
}

@media (max-width: 768px) {
  #herosec {
    height: 80vh;
  }

  #herosec .hero-txt {
    height: 70vh;
    padding: 15px;
  }

  #herosec .malluImg {
    position: absolute;
    right: 1%;
    bottom: 0;
    height: 53%;
    opacity: 0.9;
    z-index: 4;
  }
}

/*--------+++ LINK CARD SECTION  */

.CustomRow {
  display: grid;

  grid-template-columns: repeat(3, 1fr);

  gap: 15px;
}

.linkSec {
  margin-top: -80px;

  margin-bottom: 60px;
}

.link-card {
  display: grid;

  grid-template-columns: 1fr 2fr;

  background-color: var(--Dblack);

  padding: 50px 25px;

  z-index: 5;

  transition: var(--Ltrns);
}

.link-card.active {
  background-color: var(--primary);

  z-index: 6;

  transform: scale(1.1);
}

.link-card .iconDiv {
  width: 100px;

  display: grid;

  place-items: center;
}

.link-card .iconDiv i {
  color: var(--DimWhite);

  font-size: 45px;
}

.link-card .textDiv h2 {
  color: var(--hColor);

  font-size: 18px;
}

.link-card .textDiv a {
  text-decoration: none;

  color: var(--secoundry);

  transition: var(--Ltrns);
}

.link-card:hover .textDiv a {
  color: var(--DimWhite);
}

.link-card.active .textDiv a {
  color: var(--DimWhite);
}

.link-card .textDiv i {
  transition: var(--Ltrns);
}

.link-card .textDiv a:hover i {
  margin-left: 5px;
}

@media (max-width: 1220px) {
  .linkSec {
    margin-top: -50px;

    margin-bottom: 60px;
  }

  .link-card .iconDiv {
    width: 90px;
  }

  .link-card .iconDiv i {
    font-size: 35px;
  }

  .link-card .textDiv h2 {
    font-size: 16px;
  }

  .link-card .textDiv a {
    font-size: 13px;
  }
}

@media (max-width: 1024px) {
  .link-card.active {
    transform: scale(1);
  }

  .CustomRow {
    grid-template-columns: repeat(1, 1fr);

    gap: 0px;
  }
}

/*--------+++ COUNTER SECTION  */

.counterSection {
  padding-top: 80px;

  padding-bottom: 80px;

  background-color: var(--primary);

  background-image: url(../Images/pattern-bg.png);
}

.counterSection .Gridrow {
  display: grid;

  grid-template-columns: repeat(4, 1fr);

  gap: 15px;
}

.countBox {
  padding: 35px 20px;

  display: grid;

  grid-template-columns: 1fr 2fr;

  background-color: var(--Dblack);
}

.countBox .i-box {
  display: grid;

  place-items: center;
}

.countBox .i-box span {
  display: grid;

  place-items: center;

  border-radius: var(--bdr100);

  width: 80px;

  height: 80px;
}

.countBox .i-box span i {
  font-size: 27px;
}

.countBox .counter-box {
  padding-left: 15px;
}

.countBox .counter-box h4 {
  font-size: 30px;

  font-weight: 600;
}

.countBox .counter-box h6 {
  font-weight: 500;

  text-transform: capitalize;
}

/* colors  */

.countBox .i-box span.clr1 {
  background-color: #f6afa0;
}

.countBox .i-box span.clr1 i {
  color: #f0411e;
}

.countBox .i-box span.clr2 {
  background-color: #5f64dc;
}

.countBox .i-box span.clr2 i {
  color: #040aa5;
}

.countBox .i-box span.clr3 {
  background-color: #c34bf2;
}

.countBox .i-box span.clr3 i {
  color: #66028e;
}

.countBox .i-box span.clr4 {
  background-color: #f37575;
}

.countBox .i-box span.clr4 i {
  color: #da0707;
}

@media (max-width: 1205px) {
  .countBox .i-box span {
    width: 70px;

    height: 70px;
  }

  .countBox .counter-box h4 {
    font-size: 23px;
  }

  .countBox .counter-box h6 {
    font-size: 14px;
  }
}

@media (max-width: 1024px) {
  .countBox .counter-box h6 {
    font-size: 15px;
  }

  .counterSection .Gridrow {
    grid-template-columns: repeat(2, 1fr);
  }
}

@media (max-width: 599px) {
  .counterSection .Gridrow {
    grid-template-columns: repeat(1, 1fr);
  }
}

/*--------+++ ABOUT SECTION  */

.socialbox {
  display: flex;
}

.socialbox a {
  text-decoration: none;

  display: grid;

  place-items: center;

  width: 35px;

  height: 35px;

  font-size: 13px;

  color: var(--DimWhite);

  border: 2px solid var(--primary);

  border-radius: var(--bdr100);

  transition: var(--Ltrns);
}

.socialbox a:hover {
  color: white;

  transform: scale(0.9);

  border: 3px solid var(--primary);

  background-color: var(--primary);
}

.socialbox a:not(:last-child) {
  margin-right: 15px;
}

.devider {
  color: #7a7a7a7c;

  margin: 30px 0;
}

.infoHD {
  font-size: 18px;

  font-weight: 500;

  margin-bottom: 20px;
}

.numHD {
  text-decoration: none;

  color: var(--pColor);

  font-size: 20px;

  margin-bottom: 30px;

  font-weight: 600;

  display: block;

  transition: var(--Ltrns);
}

.numHD i {
  margin-right: 11px;

  transition: var(--Ltrns);
}

.numHD:hover {
  color: var(--pColor);
}

.numHD:hover i {
  margin-right: 15px;

  color: rgb(0, 227, 34);
}

#about img {
  width: 90%;
}

@media (max-width: 768px) {
  .numHD {
    font-size: 17px;
  }

  #about img {
    width: 100%;

    margin-bottom: 50px;
  }
}

@media (max-width: 631px) {
  .icnrow .iconbox {
    font-size: 15px;

    width: 40px;

    height: 40px;
  }

  .icnrow {
    font-size: 13px;
  }

  .socialbox a {
    width: 35px;

    height: 35px;

    font-size: 13px;
  }
}

/*--------+++ RATE SECTION  */

.ratesSec {
  background-image: linear-gradient(rgba(0, 0, 0, 0.696), rgba(0, 0, 0, 0.696)),
    url(../Images/rateBg.jpg);

  background-repeat: no-repeat;

  background-position: center;

  background-size: cover;

  background-attachment: fixed;
}

.ratesSec table {
  color: var(--DimWhite);

  font-size: 13px;

  margin-bottom: 40px;
}

.ratesSec .rateBox {
  display: grid;

  grid-template-columns: repeat(2, 1fr);

  gap: 20px;
}

.ratesSec .rateBox .rateCard {
  background-color: rgba(0, 0, 0, 0.53);
  padding: 50px 45px;
  text-align: center;
  border: 1px solid rgb(0, 0, 0);
  transition: var(--Ltrns);
}

.ratesSec .rateBox .rateCard:hover {
  border: 1px solid var(--primary);
  background-color: rgba(0, 0, 0, 0.801);
  transform: translateY(-5px);
}

.ratesSec .rateBox .rateCard h5 {
  margin: 0;

  font-weight: 600;
}

@media (max-width: 1204px) {
  .ratesSec .rateBox .rateCard {
    padding: 40px 35px;
  }

  .ratesSec .rateBox .rateCard h6 {
    font-size: 14px;

    font-weight: 400;
  }
}

@media (max-width: 995px) {
  .ratesSec table {
    margin-top: 40px;
  }
}

@media (max-width: 435px) {
  .ratesSec .rateBox .rateCard {
    padding: 30px 25px;
  }

  .ratesSec .rateBox .rateCard h6 {
    font-size: 13px;
  }

  .ratesSec .rateBox .rateCard h5 {
    font-size: 17px;
  }
}

@media (max-width: 375px) {
  .ratesSec .rateBox {
    grid-template-columns: repeat(1, 1fr);
  }
}

/*--------+++ REVIEWS SECTION  */

.reviewOwl .item {
  background-color: var(--Dblack);

  padding: 30px;
}

.reviewOwl .item .IdentityBox {
  display: flex;
  margin-top: 45px;
}

.reviewOwl .item .IdentityBox .imgbox {
  width: 80px;
}

.reviewOwl .item .IdentityBox .imgbox img {
  width: 60px;

  height: 60px;

  border-radius: var(--bdr100);

  object-fit: cover;
}

.reviewOwl .item .IdentityBox .hdbox {
  display: flex;
  align-items: center;
}
.reviewOwl .item .IdentityBox .hdbox h6 {
  font-weight: 500;
  font-size: 13px;
  text-transform: capitalize;
  margin-bottom: 0;
}

.reviewOwl .owl-dots .owl-dot.active span {
  background: var(--primary) !important;

  width: 20px;

  border-radius: 50px;
}

@media (max-width: 768px) {
  .reviewOwl {
    padding: 0 12px;
  }
}

/*--------+++ AD SLIDER SECTION  */

#carSlide .carousel-indicators [data-bs-target] {
  width: 10px;

  height: 10px;

  border-radius: 50px !important;
}

/*--------+++ YM Academy SECTION  */

.traffic-cornIMG {
  width: 100%;

  display: block;
}

.carDrivingIMG {
  width: 100%;
}

.ticbox {
  display: flex;

  align-items: center;
}

.ticbox:first-child {
  margin-top: 20px;
}

.ticbox:not(:last-child) {
  margin-bottom: 10px;
}

.ticbox i {
  color: var(--secoundry);

  margin-right: 10px;
}

.ticbox p {
  margin: 0;
}

.numHD2 {
  text-decoration: none;

  color: var(--pColor);

  font-size: 20px;

  margin-bottom: 15px;

  font-weight: 600;

  display: block;

  transition: var(--Ltrns);
}

.numHD2 i {
  margin-right: 11px;

  transition: var(--Ltrns);
}

.numHD2:hover {
  color: var(--pColor);
}

.numHD2:hover i {
  margin-right: 15px;

  color: rgb(0, 227, 34);
}

@media (max-width: 1290px) {
  .numHD2 {
    font-size: 15px;

    font-weight: 500;
  }
}

@media (max-width: 1024px) {
  .traffic-cornIMG {
    width: 50%;
  }

  .carDrivingIMG {
    width: 80%;
  }
}

@media (max-width: 768px) {
  .traffic-cornIMG {
    width: 40%;

    position: absolute;

    bottom: 0;

    right: 0;
  }
}

@media (max-width: 375px) {
  .traffic-cornIMG {
    width: 40%;

    position: absolute;

    bottom: -75px;

    right: 10px;
  }

  .carDrivingIMG {
    width: 100%;

    margin-top: 80px;
  }
}

/*--------+++ GALLERY SECTION  */

.galleryrow {
  display: grid;

  grid-template-columns: repeat(4, 1fr);

  gap: 13px;
}

.galleryrow .item {
  width: 100%;

  height: 280px;

  border-radius: var(--bdr);

  overflow: hidden;

  position: relative;
}

.galleryrow .item img {
  width: 100%;

  height: 100%;

  object-fit: cover;

  transition: var(--Ltrns);
}

.galleryrow .item:hover img {
  transform: scale(1.3);
}

.galleryrow .item a .ole {
  width: 100%;

  height: 100%;

  position: absolute;

  display: grid;

  place-items: center;

  background-color: #1616168f;

  top: 0;

  left: 0;

  transform: translateY(50%);

  opacity: 0;

  transition: var(--Ltrns);
}

.galleryrow .item:hover a .ole {
  transform: translateY(0%);

  opacity: 1;
}

.galleryrow .item a .ole i {
  color: white;

  font-size: 45px;
}

@media (max-width: 1024px) {
  .galleryrow .item {
    height: 200px;
  }

  .galleryrow .item {
    height: 200px;
  }
}

@media (max-width: 768px) {
  .galleryrow {
    padding: 0 12px;
  }
}

@media (max-width: 631px) {
  .galleryrow {
    grid-template-columns: repeat(2, 1fr);
    gap: 13px;
  }

  .galleryrow .item {
    height: 200px;
  }
}

@media (max-width: 445px) {
  .galleryrow .item {
    height: 150px;
  }
}

@media (max-width: 345px) {
  .galleryrow .item {
    height: 120px;
  }
}

/*=== 3.0 Booking Section ===*/
.booking-section {
    background-image: url(../Images/texture.png);
    background-repeat: repeat;
    background-size: cover;
    background-color: var(--bs-body-color);
    position: relative;
    z-index: 1;
}

.booking-section:before {
    background-color: var(--primary);
    content: "";
    width: 300px;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
    z-index: -2;
}

.booking-section:after {
    background-color: #000;
    clip-path: polygon(0 0, 100% 0%, 100% 100%, 25% 100%);
    content: "";
    width: 400px;
    height: 80px;
    position: absolute;
    right: 0;
    top: -1px;
}

/*=== 3.1 Booking Car ===*/
.booking-car {
    background-image: url(../Images/car-2.png);
    background-repeat: no-repeat;
    background-position: left center;
    background-size: 85%;
    width: 780px;
    height: 439px;
    position: absolute;
    left: -280px;
    top: 50px;
    z-index: -1;
}

.booking-wrap .section-heading h2 {
    font-size: 40px;
}

.booking-form {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    gap: 20px;
    z-index: 1;
}

.booking-form .form-field {
    position: relative;
}

.booking-form .niceSelect .current,
.booking-form .form-field input {
    background-color: #333;
    color: #fff;
    border-radius: 2px;
    width: 100%;
    height: 50px;
    padding: 0 35px 0 20px;
    font-size: 17px;
    line-height: 50px;
    box-shadow: none;
    outline: none;
    border: 1px solid #333;
}

.booking-form .form-field input:focus {
    border: 1px solid #ff9900;
}

.booking-form .form-field i {
    color: #ff9900;
    font-size: 20px;
    position: absolute;
    right: 10px;
    top: 50%;
    transform: translateY(-50%);
    z-index: 1;
}

.booking-form .form-field button {
    width: 100%;
    height: 50px;
}

.booking-form .niceSelect {
    padding: 0;
    border: none;
    width: 100%;
    height: auto;
    font-size: 17px;
    color: #fff;
}

.booking-form .niceSelect .current {
    height: 50px;
    line-height: 50px;
    display: block;
    padding: 0 20px;
}

.booking-form .niceSelect .list {
    background-color: #333;
    width: 100%;
    border-radius: 0;
    margin-top: -2px;
    border: none;
}

.booking-form .niceSelect .list li {
    font-size: 14px;
}

.booking-form .niceSelect .list li:not(:last-of-type) {
    border-bottom: 1px solid #444;
}

.nice-select .option:hover,
.nice-select .option.focus,
.nice-select .option.selected.focus {
    background-color: #ff9900;
    font-weight: normal;
}

.nice-select:after {
    display: none;
}

/*=== 3.2 Date Time Picker ===*/
.xdsoft_datetimepicker .xdsoft_timepicker .xdsoft_time_box>div>div.xdsoft_current,
.xdsoft_datetimepicker .xdsoft_calendar td.xdsoft_current {
    background: #ff9900;
    box-shadow: #ff9900 0 1px 3px 0 inset;
}

.xdsoft_datetimepicker .xdsoft_timepicker .xdsoft_time_box>div>div:hover,
.xdsoft_datetimepicker .xdsoft_calendar td:hover {
    background: #222 !important;
    color: #fff;
}

/*=== 3.3 Booking Form ===*/
.booking-form-2 {
    position: relative;
    margin-top: -100px;
    margin-bottom: 80px;
    z-index: 1;
}

.booking-form-2:before {
    background-color: #222;
    clip-path: polygon(0 0, 90% 0%, 100% 20%, 100% 100%, 0 99%);
    background-image: url(../Images/texture.png);
    background-repeat: repeat;
    background-size: cover;
    content: "";
    width: 100%;
    height: 100%;
    position: absolute;
    right: 0;
    top: 0;
    z-index: -1;
}

.booking-car-wrap {
    position: absolute;
    left: 0;
    top: 0;
    width: 50%;
    height: calc(100% - 2px);
    overflow: hidden;
}

.booking-car-wrap:before {
    background-color: #ff9900;
    background-image: repeating-linear-gradient(45deg, #f7a20f 0, #f7a20f 2px, transparent 0, transparent 50%);
    background-size: 10px 10px;
    content: "";
    width: 330px;
    height: 100%;
    position: absolute;
    left: 0;
    top: 0;
}

.booking-form-2 .booking-car {
    background-size: 70%;
    left: -130px;
    top: 10px;
    z-index: 0;
}

.booking-form-2 .col-lg-8 {
    padding: 60px;
}

@media (max-width: 767px) {
    .booking-form-2:before {
        clip-path: polygon(0 0, 90% 0%, 100% 8%, 100% 100%, 0 99%);
    }
}


/*===================================================
    Media Query
====================================================*/

/* Tablet Devices */
@media (max-width: 992px) {
    
    .booking-car,
    .booking-section:before{ display: none;}
    .booking-section:after {
        clip-path: polygon(0 0, 100% 0%, 100% 100%, 20% 100%);
        height: 60px;
    }
    .booking-wrap .section-heading h2{ font-size: 32px; }
    
    .booking-form-2{margin-bottom: 50px;}
   

}

/* Mobile Devices */
@media all and (max-width: 768px) {
    
    .booking-form{
        grid-template-columns: 1fr;
    }
    .booking-section:after{ display: none; }
    .booking-wrap .section-heading h2{ font-size: 24px; }   
    
    
    .booking-form-2 .col-lg-8{
        padding: 50px 20px;
    }
    .booking-form-2{clip-path: none;}
    .cta-section-2:before,
    .cta-section-2 .cta-content{width: 100%;}
    .cta-section-2 .cta-men{display: none;}
   
    .taxi-booking-form{ grid-template-columns: 1fr; }
   
}

